Use Java Runtime 11 with Neo4J 3.5.x

Neo4j 3.5.x supports Java 11 as runtime, however custom code should still be compiled against Java 8. As a best practice, it is recommended to maintain your infrastructure environment on supported components (Hypervisor, Operating System, Java Virtual Machine). In this… Read more →

Explore:  


Enabling TLSv1.2 with IBM JDK9

Neo4j 3.4.0 only supports TLSv1.2 by default. IBM JDK9 uses the TLSv1 protocol by default. When attempting to run cypher-shell, users will be unable to connect to Neo4j. To enable TLSv1.2 in the IBM JDK, set the following JAVA OPT:… Read more →

Explore: